/**
    PostType Style
**/

/* Grid Layout */
.post-grid {
    display: grid;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    gap: 25px;
}

/* Dynamic Columns */
.post-grid.columns-1 {
    grid-template-columns: repeat(1, 1fr);
}

.post-grid.columns-2 {
    grid-template-columns: repeat(2, 1fr);
}

.post-grid.columns-3 {
    grid-template-columns: repeat(3, 1fr);
}

.post-grid.columns-4 {
    grid-template-columns: repeat(4, 1fr);
}

/* Card */
.post-card {
    background: #ffffff;
    border-radius: 0;
    overflow: hidden;
    box-shadow: 0 10px 30px rgba(0, 0, 0, .08);
    transition: all .3s ease;
    height: 100%;
    display: flex;
    flex-direction: column;
    cursor: pointer;
    border-bottom: 2px solid #D0D4D2;
}

.post-card.moment-item .post-card__title {
    color: #CE2253;
    font-size: 12px;
}

.post-card:hover {
    transform: translateY(-8px);
    box-shadow: 0 20px 40px rgba(0, 0, 0, .12);
}

/* Image */
.post-card__image {
    position: relative;
    overflow: hidden;
}
.post-card.moment-item .post-card__image img {
    max-height: 257px;
}
.post-card__image img {
    width: 100%;
    max-height: 176px;
    object-fit: cover;
    display: block;
    transition: transform .4s ease;
}
.post-card:hover .post-card__image img {
    transform: scale(1.05);
}
/* Content */
.post-card__content {
    padding: 24px;
    flex: 1;
    display: flex;
    flex-direction: column;
}

/* Title */
.post-card__title {
    font-size: 14px;
    line-height: 1.3;
    margin: 0 0 0;
    font-weight: 700;
    color: #000;
}

/* Description */
.post-card__excerpt {
    font-size: 14px;
    opacity: 70%;
    line-height: 17px;
    color: #000;
    max-height: 90px;
    height: 90px;
    margin-bottom: 20px;
    filter: contrast(120%);
}

.next-step-column .post-card__content {
	padding: 0px;
}
.next-step-column .post-card__title {
	padding: 24px 24px 0 24px;
}
.next-step-column .post-card__excerpt {
	max-height: 120px;
    height: 120px;
	padding: 18px 24px 0 24px;
}
.next-step-column .post-card__link {
	display: inline-block;
    padding: 0 24px 10px 24px;
    margin-bottom: 24px;
    border-bottom: 2px solid #D0D4D2;
}

/* Link */
.post-card__link a.default-link {
    color: #CE2253;
    text-transform: uppercase;
    font-size: 12px;
}
.post-card__link a.default-link::after {
    content: "→";
    margin-left: 8px;
    color: #000;
    transition: transform 0.2s ease;
    display: inline-block;
}
.post-card__link a.default-link:hover::after {
    transform: translateX(4px);
}
.post-card__link a.media-link {
    background-image: url(/wp-content/themes/Divi-child/assets/images/x-icon.png);
}
.post-card__link a.media-type-x.media-link {
    background-image: url(/wp-content/themes/Divi-child/assets/images/x-icon.png);
}
.post-card__link a.media-type-instagram.media-link {
    background-image: url(/wp-content/themes/Divi-child/assets/images/ins-icon.png);
}
.post-card__link a.media-link {
    display: inline-block;
    width: 17px;
    height: 17px;
    background-repeat: no-repeat;
    filter: contrast(120%);
    font-size: 0;
}

/* Responsive */
@media (max-width: 1200px) {
    .post-grid.columns-4 {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 980px) {
    .post-grid.columns-4,
    .post-grid.columns-3 {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 767px) {
    .post-grid,
    .post-grid.columns-2,
    .post-grid.columns-3,
    .post-grid.columns-4 {
        grid-template-columns: 1fr;
    }
	.next-step-column .post-card__content {
    	padding: 0px;
	}
    .post-card__image img {
        height: 220px;
    }
    .post-card__content {
        padding: 20px;
    }
    .post-card__title {
        font-size: 20px;
    }
}